Subject: Re: [Gen-art] Gen-ART LC review of draft-ietf-ippm-owamp-registry-02

From: Jari Arkko <[email-masked]>
Date: Thu, 15 Oct 2015 09:37:35 +0300

Indeed thank you for the review. And it was a good question.

Jari

On 11 Sep 2015, at 16:33, Spencer Dawkins at IETF <[email-masked]> wrote:

> Hi, Roni,
> 
> Thank you for the review - it's always helpful ...
> 
> Spencer
> 
> On Sep 10, 2015 16:35, "MORTON, ALFRED C (AL)" <[email-masked]> wrote:
> >
> > Hi Roni, see replies below,
> >
> > Al
> >
> > From: Roni Even [mailto:[email-masked]]
> > Sent: Thursday, September 10, 2015 2:16 AM
> > To: [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: Gen-ART LC review of draft-ietf-ippm-owamp-registry-02
> >
> >
> >
> > I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> >
> > Please resolve these comments along with any other Last Call comments you may receive.
> >
> > Document:  draft-ietf-ippm-owamp-registry-02
> >
> > Reviewer: Roni Even
> >
> > Review Date:2015–9-9
> >
> > IETF LC End Date: 2015–9-10
> >
> > IESG Telechat date:
> >
> >
> >
> > Summary: This draft is almost for publication as an Standard Track  RFC.
> >
> >
> >
> >
> >
> > Major issues:
> >
> >
> >
> >
> >
> > Minor issues:
> >
> >
> >
> > The document registers IKEv2-derived Shared Secret Key in section 3.2.4. Why here and not in draft-ietf-ippm-ipsec-11.  I suggest deleting the registration of IKEv2-derived Shared Secret Key from here. Otherwise draft-ietf-ippm-ipsec-11 should be normative reference since the [RFC TBD] depends on it and it may cause a delay in publication and creation of the registry.
> >
> > [ACM] It’s here because the IESG review of draft-ietf-ippm-ipsec spawned the question,
> >
> > “can we quickly create the needed registry for OWAMP?”  As a result of discussion and agreement,
> >
> > draft-ietf-ippm-ipsec provides all the IANA Considerations for the TWAMP Registries,
> >
> > and this draft (which draft-ietf-ippm-ipsec is waiting for, not the other way around)
> >
> > provides all the IANA considerations to create the new OWAMP registries.
> >
> >
> >
> > Nits/editorial comments:
> >
> > In sections 3.1.2 and 3.2.2 the policy should be “IETF review” and not “IETF consensus”  according to section 4.1 in RFC5226
> >
> > [ACM] I see, the terminology has changed:
> >
> > IETF Review - (Formerly called "IETF Consensus" in
> >
> >             [IANA-CONSIDERATIONS]) New values are assigned only through
> >
> >             RFCs that have been shepherded through the IESG as AD-
> >
> >             Sponsored or IETF WG Documents [RFC3932] [RFC3978].
> >
> >
> >
> >
>